Subject: Re: [dhcwg] DHC WG Recharter - Updated

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 15 Aug 2013 03:41:30 +0000

Based on the discussion at the DHC WG in Berlin (IETF-87), the revised charter was updated as below. Please comment as to whether you are happy with this version or if you have issues as I will ask Ted to send it to the IESG on August 26th!

--- Begin Proposed New Charter (DRAFT)

The Dynamic Host Configuration working group (DHC WG) has developed DHCP for automated allocation, configuration and management of IP addresses and TCP/IP protocol stack parameters. DHCPv4 is currently a Draft Standard and is documented in RFC 2131 and RFC 2132. DHCPv6 is currently a Proposed Standard and is documented in RFC 3315. Subsequent RFCs document additional options and other enhancements to the specifications.

The DHC WG is responsible for defining DHCP protocol extensions. Definitions of new DHCP options that are delivered using standard mechanisms with documented semantics are not considered a protocol extension and thus are outside of scope for the DHC WG. Such options should be defined within their respective WGs and reviewed by the DHCP Directorate. However, if such options require protocol extensions or new semantics, the protocol extension work must be done in the DHC WG.

The DHC WG has the following main objectives:

1. Develop extensions to the DHCPv6 infrastructure as required to meet new applications and deployments of DHCP. The topics currently in development are:

-          DHCPv6 Failover, High Availability and Load Balancing

-          Extend DHCPv6 to work with multiple provisioning domains

-          DHCP provisioning of IPv4 clients over IPv6 networks

-          SOLMAXRT counter update

-          Container option

-          Access Network Identifier

-          New NTP option to replace OPTION_NTP_SERVER (RFC 5908)

-          DNS registration for SLAAC

Additional topics may only be added with approval from the responsible Area Director or by re-chartering.

2. Specify guidelines for creating new DHCPv6 options.

3. Develop documents that help explain operational considerations for the wider community.

4. Advance DHCPv6 (RFC 3315 and RFC 3633) along the IETF Standards Track.

5. Write analyses, corrections, and clarifications of the DHCPv6 specifications, including RFC 3315, RFC 3633, RFC 3736 and other RFCs defining additional options, which identifies and resolves ambiguities, contradictory specifications and other obstacles to development of interoperable implementations.

--- End Proposed New Charter (DRAFT)

-          Tomek & Bernie

From: [email-masked] [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Wednesday, July 31, 2013 5:22 AM
To: [email-masked]
Subject: [dhcwg] DHC WG Recharter - Thu 9:00-11:30

At Thursday's DHC WG session, please be prepared to discuss the re-charter. The text is below.

Proposed DHC WG Charter:

  The Dynamic Host Configuration working group (DHC WG) has developed
  DHCP for automated allocation, configuration and management of IP
  addresses and TCP/IP protocol stack parameters. DHCPv4 is currently
  a Draft Standard and is documented in RFC 2131 and RFC 2132. DHCPv6
  is currently a Proposed Standard and is documented in RFC 3315.
  Subsequent RFCs document additional options and other enhancements to
  the specifications.

  The DHC WG is responsible for defining DHCP protocol extensions.
  Definitions of new DHCP options that are delivered using standard
  mechanisms with documented semantics are not considered a protocol
  extension and thus are outside of scope for DHC WG. Such options should
  be defined within their respective WGs and reviewed by the DHCP
  Directorate. However, if such options require protocol extensions or new
  semantics, the protocol extension work must be done in the DHC WG.

  The DHC WG has the following main objectives:

  * Develop extensions to the DHCPv6 infrastructure as required to meet
  new applications and deployments of DHCP. The topics currently
  in development are:

  - DHCPv6 Failover, High Availability and Load Balancing
  - DNS Update strategies for delegated prefixes (draft-ietf-dhc-dns-pd)
  - Extend DHCPv6 to work with multiple provisioning domains
  - DHCP provisioning of IPv4 clients over IPv6 networks
  - SOLMAXRT counter update
  - Container option
  - Access Network Identifier (draft-ietf-dhc-access-network-identifier)
  - New NTP option to replace OPTION_NTP_SERVER (RFC 5908)
  - Prefix coloring (draft-bhandari-dhc-class-based-prefix)

    Additional topics may only be added with approval from the responsible
    Area Director or by re-chartering.

  * Specify guidelines for creating new DHCPv6 options.

  * Develop documents that help explain operational considerations for
    the wider community.

  * Advance DHCPv6 (RFC 3315) along the IETF Standards Track. This will
  include writing analyses, corrections, and clarifications of the DHCPv6
  specifications, including RFC 3315, RFC3633, RFC3736 and other RFCs
  defining additional options, which identifies and resolves ambiguities,
  contradictory specifications and other obstacles to development of
  interoperable implementations.

END